Package org.pentaho.reporting.libraries.repository

# Class ContentIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.pentaho.reporting.libraries.base.util.StackableException
org.pentaho.reporting.libraries.repository.ContentIOException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ContentCreationException`

public class ContentIOException extends org.pentaho.reporting.libraries.base.util.StackableException
A Exception that indicates repository related errors.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContentIOException()`
Creates a ContentIOException with no message and no parent.
`ContentIOException(String message)`
Creates an ContentIOException.
`ContentIOException(String message, Exception ex)`
Creates an ContentIOException.

## Method Summary

### Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException

`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContentIOException

public ContentIOException()
Creates a ContentIOException with no message and no parent.

### ContentIOException

public ContentIOException(String message, Exception ex)
Creates an ContentIOException.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.

### ContentIOException

public ContentIOException(String message)
Creates an ContentIOException.

Parameters:
  `message` - the exception message.